image: kariae/symfony-php

# Select what we should cache between builds
#cache:
#  paths:
#    - vendor/
#    - node_modules/

before_script:
  - echo "Cleaning up"
  - rm -rf "%CACHE_PATH%/%CI_PIPELINE_ID%"

# Run our tests
tests:
  script:
    - rm -f composer.lock
    - export COMPOSER_MEMORY_LIMIT=-1
    - composer install --optimize-autoloader
    - yarn install
    - yarn build
    - ./bin/phpunit --testdox
  artifacts:
    paths:
      - var/cache/test
    expire_in: 1 days
  only:
    - master
    - merge_requests

production:
  type: deploy
  image : ruby:latest
  script:
  - apt-get update -qy
  - apt-get install -yqq ruby ruby-dev nodejs --silent
  - gem install dpl
  - dpl --provider=heroku --app=$HEROKU_APP --api-key=$HEROKU_API_KEY
  only:
  - master
